Subject: Re: [Bitcoin-development] Request review: drop misbehaving peers

From: Joel Joonatan Kaartinen <[email-masked]>
Date: Fri, 16 Sep 2011 15:57:20 +0300

> Darn good question. If the protection fails, would it be better for it
> to 'fail hard', leaving people complaining "bitcoin won't stay
> connected!"
> 
> Or fail soft, so you at least have a couple of connections.
> 
> I think fail hard is better-- we'll immediately know about the
> problem, and can fix it.  Fail soft makes me nervous because  I think
> that would make it more likely a bug splits the network (and,
> therefore, the blockchain).

My own preference would be to fail hard with detection of the problem
and notification of the user if there's a GUI connected and/or running.

- Joel